Name:        code-new-roman-nerd-fonts
Version:     3.2.1
Release:     %autorelease
Summary:     Iconic font aggregator, collection, & patcher.

BuildArch:   noarch
License:      OFL-1.0
URL:         https://github.com/ryanoasis/nerd-fonts
Source0:     %{url}/releases/download/v%{version}/CodeNewRoman.tar.xz

%description
Nerd Fonts is a project that patches developer targeted fonts with a high
number of glyphs (icons). Specifically to add a high number of extra glyphs
from popular 'iconic fonts' such as Font Awesome, Devicons, Octicons, and
others.

%prep
%autosetup -c -v

%build
# Nothing to do here

%install

install -Dm644 CodeNewRomanNerdFont-Bold.otf %{buildroot}%{_datadir}/fonts/%{name}/CodeNewRomanNerdFont-Bold.otf
install -Dm644 CodeNewRomanNerdFontMono-Bold.otf %{buildroot}%{_datadir}/fonts/%{name}/CodeNewRomanNerdFontMono-Bold.otf
install -Dm644 CodeNewRomanNerdFontPropo-Bold.otf %{buildroot}%{_datadir}/fonts/%{name}/CodeNewRomanNerdFontPropo-Bold.otf
install -Dm644 CodeNewRomanNerdFont-Italic.otf %{buildroot}%{_datadir}/fonts/%{name}/CodeNewRomanNerdFont-Italic.otf
install -Dm644 CodeNewRomanNerdFontMono-Italic.otf %{buildroot}%{_datadir}/fonts/%{name}/CodeNewRomanNerdFontMono-Italic.otf
install -Dm644 CodeNewRomanNerdFontPropo-Italic.otf %{buildroot}%{_datadir}/fonts/%{name}/CodeNewRomanNerdFontPropo-Italic.otf
install -Dm644 CodeNewRomanNerdFont-Regular.otf %{buildroot}%{_datadir}/fonts/%{name}/CodeNewRomanNerdFont-Regular.otf
install -Dm644 CodeNewRomanNerdFontMono-Regular.otf %{buildroot}%{_datadir}/fonts/%{name}/CodeNewRomanNerdFontMono-Regular.otf
install -Dm644 CodeNewRomanNerdFontPropo-Regular.otf %{buildroot}%{_datadir}/fonts/%{name}/CodeNewRomanNerdFontPropo-Regular.otf

%files

%{_datadir}/fonts/%{name}/CodeNewRomanNerdFont-Bold.otf
%{_datadir}/fonts/%{name}/CodeNewRomanNerdFontMono-Bold.otf
%{_datadir}/fonts/%{name}/CodeNewRomanNerdFontPropo-Bold.otf
%{_datadir}/fonts/%{name}/CodeNewRomanNerdFont-Italic.otf
%{_datadir}/fonts/%{name}/CodeNewRomanNerdFontMono-Italic.otf
%{_datadir}/fonts/%{name}/CodeNewRomanNerdFontPropo-Italic.otf
%{_datadir}/fonts/%{name}/CodeNewRomanNerdFont-Regular.otf
%{_datadir}/fonts/%{name}/CodeNewRomanNerdFontMono-Regular.otf
%{_datadir}/fonts/%{name}/CodeNewRomanNerdFontPropo-Regular.otf
%license license.txt
%doc README.md

%changelog
* Sat Jul 20 2024 Kyle Bloom <kylejbloom@gmail.com> - 3.2.1-1
- Updated to version v3.2.1
